<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="59" short-name="interactive-8-connected" url="https://polygon.codeforces.com/p4qDJZK/zakhar.iakovlev/interactive-8-connected">
    <names>
        <name language="english" value="Eight-Connected Figures"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>4000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>60</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/checker.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/interactor.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/interactor.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <testset>
                <test-count>1</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests>
                    <test verdict="ok"/>
                </tests>
            </testset>
        </checker>
        <interactor>
            <source path="files/interactor.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <binary path="files/interactor.exe" type="exe.win32"/>
        </interactor>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>8</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/347933795_ksun48_wa2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347933795_ksun48_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347934063_ksun48_wa9.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347934063_ksun48_wa9.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347934143_ksun48_tl10.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347934143_ksun48_tl10.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347941594_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347941594_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347959261_xiaowuc1_rt5.cpp" type="cpp.g++17"/>
                <binary path="solutions/347959261_xiaowuc1_rt5.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347959692_xiaowuc1_rt5.cpp" type="cpp.g++17"/>
                <binary path="solutions/347959692_xiaowuc1_rt5.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347965115_xiaowuc1_wa10.cpp" type="cpp.g++17"/>
                <binary path="solutions/347965115_xiaowuc1_wa10.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348040382_RomkaRS_rt20.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348040382_RomkaRS_rt20.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348042594_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348042594_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348042762_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348042762_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348042815_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348042815_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348069489_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348069489_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348124272_Karuk_BLOBVISGOD_jeroenodb_wa9.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348124272_Karuk_BLOBVISGOD_jeroenodb_wa9.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348135223_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348135223_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348159180_Stanislau_Karabutsa_alex.dobleaga_wa7.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348159180_Stanislau_Karabutsa_alex.dobleaga_wa7.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348161741_Stanislau_Karabutsa_alex.dobleaga_wa7.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348161741_Stanislau_Karabutsa_alex.dobleaga_wa7.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348163365_Stanislau_Karabutsa_alex.dobleaga_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348163365_Stanislau_Karabutsa_alex.dobleaga_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/tourist-bad.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist-bad.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/tourist-bad2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist-bad2.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/tourist-bad3.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist-bad3.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/tourist-bad4.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist-bad4.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/zakhar_iakovlev_ac.java" type="java21"/>
                <binary path="solutions/zakhar_iakovlev_ac.jar" type="jar"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/zakhar_iakovlev_fast.java" type="java21"/>
                <binary path="solutions/zakhar_iakovlev_fast.jar" type="jar"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/zakhar_iakovlev_slow.java" type="java21"/>
                <binary path="solutions/zakhar_iakovlev_slow.jar" type="jar"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/zakhar_iakovlev_slow2.java" type="java21"/>
                <binary path="solutions/zakhar_iakovlev_slow2.jar" type="jar"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/zakhar_iakovlev_wa_disconnected.java" type="java21"/>
                <binary path="solutions/zakhar_iakovlev_wa_disconnected.jar" type="jar"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/zakhar_iakovlev_wa_overrequest.java" type="java21"/>
                <binary path="solutions/zakhar_iakovlev_wa_overrequest.jar" type="jar"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="interactive"/>
    </tags>
</problem>
